<?php

if (isset($_POST['saqlash'])) {
    $error = array();
    $sarlavha = isset($_POST['sarlavha']) ? $_POST['sarlavha'] : false;
    $matn = isset($_POST['matn']) ? trim($_POST['matn']) : false;
    if (!$error) {
        $rid = 0;
        mysql_query("INSERT INTO `yangiliklar` SET
            `sarlavha` = '$sarlavha',
            `matn` = '$matn'
        ");
        echo '<p>Yangilik qo\'shildi<br /><a href="yangiliklar.php">Yangiliklarga</a></p>';
    } else {
        echo '<a href="yangiliklar.php">Xatolik yuz berdi. Orqaga</a>';
    }
} else {
    echo '
    <form action="yangiliklar.php?act=sms_biriktirish" method="post">
        <h3>Sarlavha</h3>
        <input type="text" name="sarlavha"/>
        <h3>Matn</h3>
        <textarea rows="4" name="matn"></textarea>
        <input type="submit" name="saqlash" value="Saqlash"/>
    </form>
    ';
}

?>